<div id="top"></div>

<div class="container">
    <form class="form" [formGroup]="updateForm">
    <h2>Detail Program</h2>
  
    <div class="container-content">
      <table>
        <tr>
          <td>Program</td>
          <td>:</td>
          <td>{{program?.code}}</td>
        </tr>
        <tr>
          <td>Deskripsi</td>
          <td>:</td>
          <td>
            <mat-form-field>
              <input matInput [ngModel]="program?.description" [readonly]="flag" formControlName="description">
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>Start Date</td>
          <td>:</td>
          <td>
              <mat-form-field>
                  <input matInput [matDatepicker]="picker" [ngModel]="program?.start_date" [readonly]="flag" formControlName="start_date"> 
                  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker touchUi #picker></mat-datepicker>
              </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>End Date</td>
          <td>:</td>
          <td>
            <mat-form-field>
                <input matInput [matDatepicker]="picker2" [ngModel]="program?.end_date" [readonly]="flag" formControlName="end_date">
                <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker touchUi #picker2></mat-datepicker>
            </mat-form-field>
          </td>
        </tr>
      </table>
    </div>
  
    <div class="btn-area">
      <button mat-raised-button class="back-btn" (click)="rightFunction()" id="btnRight">
          <mat-icon>{{rightIcon}}</mat-icon>
      </button>
      <button mat-raised-button class="back-btn" (click)="leftFunction(updateForm.value)" id="btnLeft">
          <mat-icon>{{leftIcon}}</mat-icon>
      </button>
    </div>
    </form>
</div>

<div class="table-container">
    <table mat-table [dataSource]="dataSourceSchedule" matSort class="mat-elevation-z8">

        <ng-container matColumnDef="training_date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Tanggal</th>
            <td mat-cell *matCellDef="let element"> {{element.training_date | date:'mediumDate'}} </td>
        </ng-container>
        
        <ng-container matColumnDef="class_code">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Kelas</th>
            <td mat-cell *matCellDef="let element"> {{element.class_code}} </td>
        </ng-container>

        <ng-container matColumnDef="material_code">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Materi</th>
            <td mat-cell *matCellDef="let element"> {{element.material_code}} </td>
        </ng-container>
        
        <ng-container matColumnDef="trainer_nip">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Trainer</th>
          <td mat-cell *matCellDef="let element"> {{element.trainer_nip}} </td>
        </ng-container>
      
        <tr mat-header-row *matHeaderRowDef="displayedColumnsClass"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumnsClass;"></tr>
    </table> 
    <mat-paginator style="min-width: 340px;" [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
</div>